import { AssetFormat } from '../../../types/src/asset-click-action';

export declare function openAssetOverview(this: HTMLElement, id: string | null | undefined): void;
export declare function openFolderOverview(this: HTMLElement, assetId: string | null | undefined): void;
export declare function openLink(this: HTMLElement, url: string | null | undefined, target?: '_blank' | '_parent' | '_self' | '_top' | undefined): void;
export declare function shareAsset(this: HTMLElement, assetId: string | null | undefined): void;
export declare function downloadAsset(this: HTMLElement, assetIds: string[] | null | undefined, formats: AssetFormat | null | undefined): void;
